
/*
        Copyright (C), 1993 SEIKO EPSON Corp.
                ALL RIGHTS RESERVED
 
        file name : ctype.h
 
 
        revision history
                1st release     1993/10/1       mizutani
                change prototype definition
                                1993/12/17      shinozuka
              * /usr/PIECE/include にあるファイルよりも、このファイルが優先されるよう、
                clip.mkにて、インクルードパスを設定してあります。
              * コンパイル時に引数型を検査するため、関数宣言をK&R→ANSIに変更しました。
                変更においては、『MSDN ライブラリ Visual Studio 6.0』を参考にしました。
              * 変更前の仮引数コメントは、char型となっていましたが、正しくはint型です。
                宣言をchar→intに変更しても、バイナリは変更不要ですので、修正しました。
                                2006/02/22      Naoyuki Sawa
              * ismbblead(),ismbbtrail(),iscsym(),iscsymf(),isblank()の宣言をclippce.h⇒include/ctype.hへ，実装をclippce.c⇒cliplibc.cへ移動しました。
                ismbblead(),ismbbtrail()は本当はmbctype.hで宣言すべきなのですが、P/ECEにはmbctype.hが無いのでinclude/ctype.hで宣言することにしました。
                                2015/01/07      Naoyuki Sawa
              *	'extern "C" {'〜'}'で囲みました。.cppを含むWin32プロジェクトからもインクルード出来るようにするためです。
                                2015/11/18      Naoyuki Sawa
*/

#ifndef _CTYPE
#define _CTYPE

#ifdef  __cplusplus
extern "C" {
#endif//__cplusplus

int isalnum(int c);	// int isalnum( /* char */ ) ;
int isalpha(int c);	// int isalpha( /* char */ ) ;
int iscntrl(int c);	// int iscntrl( /* char */ ) ;
int isdigit(int c);	// int isdigit( /* char */ ) ;
int isgraph(int c);	// int isgraph( /* char */ ) ;
int islower(int c);	// int islower( /* char */ ) ;
int isprint(int c);	// int isprint( /* char */ ) ;
int ispunct(int c);	// int ispunct( /* char */ ) ;
int isspace(int c);	// int isspace( /* char */ ) ;
int isupper(int c);	// int isupper( /* char */ ) ;
int isxdigit(int c);	// int isxdigit( /* char */ ) ;
int tolower(int c);	// int tolower( /* char */ ) ;
int toupper(int c);	// int toupper( /* char */ ) ;

//{{2015/01/07追加:ismbblead(),ismbbtrail(),iscsym(),iscsymf(),isblank()の宣言をclippce.h⇒include/ctype.hへ，実装をclippce.c⇒cliplibc.cへ移動しました。ismbblead(),ismbbtrail()は本当はmbctype.hで宣言すべきなのですが、P/ECEにはmbctype.hが無いのでinclude/ctype.hで宣言することにしました。
/* シフトJIS二バイト文字の、第一バイトまたは第二バイト文字か調べます。
 * ANSI規格ではなく、Visual C++の_ismbblead()/_ismbbtrail()の移植です。
 * P/ECEの標準文字セットも、MS-DOS/Windowsと同じく、シフトJISです。 */
int ismbblead(int c);
int ismbbtrail(int c);
/* iscsym(c) は、cが英字、アンダースコア、数字のいずれかであると、0以外の値を返します。
 * iscsymf(c)は、cが英字、アンダースコア      のいずれかであると、0以外の値を返します。
 * ANSI規格ではなく、Visual C++の_iscsym()/_iscsymf()の移植です。 */
int iscsym(int c);
int iscsymf(int c);
/* 空白文字(スペースかタブ)であるかを調べます。
 * isblank()は、POSIX.1-2001とC99 7.4.1.3に準拠しています。 */
int isblank(int c);
//}}2015/01/07追加:ismbblead(),ismbbtrail(),iscsym(),iscsymf(),isblank()の宣言をclippce.h⇒include/ctype.hへ，実装をclippce.c⇒cliplibc.cへ移動しました。ismbblead(),ismbbtrail()は本当はmbctype.hで宣言すべきなのですが、P/ECEにはmbctype.hが無いのでinclude/ctype.hで宣言することにしました。

#ifdef  __cplusplus
}//extern "C"
#endif//__cplusplus

#endif
